### Name: bicreg.models
### Title: BIC analysis for a fixed set of models
### Aliases: bicreg.models
### Keywords: regression models

### ** Examples

## Not run: 
##D data(ex3n300a.data)
##D chrom <- rep(1:12,rep(16,12))
##D marker <- rep(1:16,12)
##D x <- sapply(ex3n300a.data$Markers,c)
##D y <- ex3n300a.data$Trait$t1
##D nchrom <- length(sort(chrom.levels <- unique(chrom)))
##D 
##D quick.demo <- TRUE
##D if(quick.demo){
##D   nc <- 2; nsim <- 20;x <- x[,chrom %in% 1:2];
##D   chrom <- chrom[chrom %in% 1:2]
##D }else{nc <- 12; nsim <- 200}
##D chrom.fits <- list()
##D for(ii in seq(along=chrom.levels[1:nc])){
##D   cat(paste("*** chromosome",ii,"***","\n"))
##D   ci <- chrom.levels[ii]
##D   chrom.sel <- chrom==ci
##D   chrom.fits[[ii]] <- bicreg.qtl(x[,chrom.sel],y, prior=0.1,nbest=20,nvmax=3)
##D }
##D mWhich <- sample.bicreg.qtl.models(chrom.fits,nsim=nsim)
##D mres <- bicreg.models(x=x,y=y,which=mWhich,prior=0.1)
##D summary(mres,nbest=38,min.marker.prob=0.05)
## End(Not run)



