### Name: bicreg.qtl
### Title: Bayesian QTL analysis using the BIC criterion
### Aliases: bicreg.qtl bicreg2
### Keywords: regression models

### ** Examples

# simulated backcross progeny 
set.seed(1234)
ex1.marker.pos <- seq(5,105,by=10)
chrom <- rep(1:2,rep(length(ex1.marker.pos),2))
ex1.qtldata <- sim.bc.progeny(n=1200,Vp=c(0.1,0.2,0.3,0.15,0.25)/2,
           map.pos=list(chrom=rep(1:2,rep(length(ex1.marker.pos),2)),
           pos=rep(ex1.marker.pos,2)),qtl.pos=list(chrom=rep(1:2,c(3,2)),
                                     pos=c(40,50,80,30,55)))
ex1n1200c1.bicreg <- bicreg.qtl(x=ex1.qtldata$x[,chrom==1],y=ex1.qtldata$y,OR=1000,
                                nbest=10,nvmax=5,prior=0.2,keep.size=1)
# 23 models account for 99% of the probability
cumsum(ex1n1200c1.bicreg$postprob)
# 2 QTL in coupling at 40,50cM can't be resolved
summary(ex1n1200c1.bicreg,nbest=23)



